/*
   HARK Library
   Copyright (C) 2021 Honda Research Institute Japan Inc.
 */

#include "hark-lib/input.h"
#include "hark-lib/datastream.h"

#include <sstream>

namespace hark
{
    Input::Input(const std::string &name, const char *value):
        Input(name, std::string(value))
    {
    }

    Input::Input(const std::string &name, DataSource &stream)
        : _name(name), _source(&stream), _value(nullptr), _is_static(false)
    {
    }

    LoopCondition::LoopCondition(DataSource &source):
        source(source)
    {
    }

}

/* end of file */
